| ParkinGo 1.0.1

Public Member Functions | Protected Member Functions | List of all members
com.example.infiniteLoop.parkingo.checkin Class Reference
Inheritance diagram for com.example.infiniteLoop.parkingo.checkin:

## Public Member Functions
void | getslot (View v)
| Takes the user to the activity where he can chose the slot. More...
void | check_in_data (View view)
| Gets the check-in details from the view. More...
void | checkinSuccess (String ticketNo)
void | checkinFailure ()
void | onBackPressed ()
| Takes the user to the previous activity if back button is pressed. More...

## Protected Member Functions
void | onCreate (Bundle savedInstanceState)
void | onActivityResult (int requestCode, int resultCode, Intent data)
| Sets the slot edittext. More...

## Member Function Documentation

## ◆ check_in_data()

void com.example.infiniteLoop.parkingo.checkin.check_in_data | ( | View | view | ) |
| inline

Gets the check-in details from the view.

Parameters

  view | - view of the calling activity

Returns
  void

## ◆ getslot()

void com.example.infiniteLoop.parkingo.checkin.getslot | ( | View | v | ) |
| inline

Takes the user to the activity where he can chose the slot.

Parameters

  view | - View of the calling activity

Returns
  void

## ◆ onActivityResult()

void com.example.infiniteLoop.parkingo.checkin.onActivityResult | ( | int | requestCode,
|  | int | resultCode,
|  | Intent | data
| ) |  |
| inline protected

Sets the slot edittext.

Parameters

  requestCode | - an integer argument
  resultCode | - an integer argument
  data | - An Intent message object

Returns
  void

## ◆ onBackPressed()

void com.example.infiniteLoop.parkingo.checkin.onBackPressed | ( |  | ) |
| inline

Takes the user to the previous activity if back button is pressed.

Returns
  void

The documentation for this class was generated from the following file:

- /home/bhavesh/Desktop/cs699/parkingo/parkingo/source/app/src/main/java/com/example/infiniteLoop/parkingo/checkin.java